/*
 * This file is part of Spout.
 *
 * Copyright (c) 2011 Spout LLC <http://www.spout.org/>
 * Spout is licensed under the Spout License Version 1.
 *
 * Spout is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * In addition, 180 days after any changes are published, you can use the
 * software, incorporating those changes, under the terms of the MIT license,
 * as described in the Spout License Version 1.
 *
 * Spout is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License,
 * the MIT license and the Spout License Version 1 along with this program.
 * If not, see <http://www.gnu.org/licenses/> for the GNU Lesser General Public
 * License and see <http://spout.in/licensev1> for the full license, including
 * the MIT license.
 */
package org.spout.api.util.hashing;

import org.junit.Test;

import static org.junit.Assert.assertEquals;

public class Int21TripleHashedTest {
	public void testValue(int x, int y, int z) {
		long key = Int21TripleHashed.key(x, y, z);
		assertEquals(x, Int21TripleHashed.key1(key));
		assertEquals(y, Int21TripleHashed.key2(key));
		assertEquals(z, Int21TripleHashed.key3(key));
	}

	@Test
	public void testHashes() {
		testValue(-1048575, -1048575, -1048575);
		testValue(0, 0, 0);
		testValue(1048575, 1048575, 1048575);
		testValue(1048575, -1048575, 1048575);
		testValue(-1048575, 1048575, -1048575);
		testValue(32423, 14144, 24114);
		testValue(10475, 104865, 104835);
		testValue(128, 512, 1024);
		testValue(-34, 2421, -4452);
	}
}
